Modify

Opened 5 years ago

Last modified 5 years ago

#88 accepted defect

PXE boot landed on a # prompt .... auto install not working.

Reported by: anonymous Owned by: dennis
Priority: major Milestone: SALI 1.7.0
Component: sali Version: 1.6.0
Keywords: Cc: pratip.ghosh@netzrezepte.de

Description

Hello,

I am using sali 1.6.7 version. I have configured sali server and client and run sali getimage successfully. My Sali server is running properly with rsync and PXE boot server.

Now when I started client with PXE boot it ended on a # prompt like bellow..

:: RESCUE var has been set opening console

Opening console...

sali:~root#

Now what command I need to provide to restore my previously cloned image? Is there any auto process so that system will automatically identify the image file and done the restoration?

Regards,
Pratip

Attachments (7)

sys1_image.master (14.3 KB) - added by pratip.ghosh@netzrezepte.de 5 years ago.
Added by email2trac
sali.cfg (2.6 KB) - added by pratip.ghosh@netzrezepte.de 5 years ago.
Added by email2trac
rsyncd.conf (612 bytes) - added by pratip.ghosh@netzrezepte.de 5 years ago.
Added by email2trac
rsyncd-1.conf (584 bytes) - added by pratip.ghosh@netzrezepte.de 5 years ago.
Added by email2trac
rsyncd.log (1.5 KB) - added by pratip.ghosh@netzrezepte.de 5 years ago.
Added by email2trac
sali.log (50.1 KB) - added by pratip.ghosh@netzrezepte.de 5 years ago.
Added by email2trac
sys1_image-1.master (16.4 KB) - added by pratip.ghosh@netzrezepte.de 5 years ago.
Added by email2trac

Download all attachments as: .zip

Change History (40)

comment:1 Changed 5 years ago by anonymous

Hello,

Here is an update.

After fixing in PXE boot I landed on the following,


[ Starting installation process ]

Retrieving installation data

Retrieving scripts directory

Running pre-install scripts

Installing image ( using the old method )

An error has occured, killing off running processes.

<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>

This is SALI autoinstall system

Your autoinstall has failed. You can use the shell prompt to try and see what happened. You may be able to use the <Shift>+<Page Up> keys to scroll back and see the text that has passed off the top of the screen. You can use <alt>+<f2>, <f3>, or <f4> to work at an alternate shell prompt and preserve your messages on the main screen, which is on <alt>+<f1>. Then go back and re-read the documentation to see if your problem is described there.
You have read the documentation, right? :-)

If you absolutely cannot figure it out, visit the SALI support page at https://oss.trac.surfsara.nl/sali.

If you find the answer and it's not in the documentation, or if you identify a bug, please submit a bug report at the SALI support page:


Good Luck!! https://oss.trac.surfsara.nl/sali

<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>

.installation failed!! stoping report task.

nc:bad address 'si_monitor'
sali:~ root#

My PXE configuration as following....

default netboot

label netboot

kernel sali/default/kernel
append vga=extended initrd=sali/default/initrd.img ramdisk_size=32768 root=/dev/ram MONITOR_SERVER=si_monitor MONITOR_CONSOLE=no SSHD=y tmpfs_size=5000M rw IMAGESERVER=192.168.1.143

Can anyone help me on this? I think I am missing some thing. Is any master script is required in /data/sali/scripts/ in the image server. If so then how can I generate this? Currently I have 2 script files in /data/sali/scripts/ named as base_script & post-install. I have also a cloned image in /data/sali/images/ named as golden_image.

Please help me to solved this out...

Regards,
Pratip

comment:2 Changed 5 years ago by dennis

Hi Pratip,

Sorry for the late response, yes you will need a "master_script" in the /data/sali/scripts/ directory. You can take this script as an example: https://oss.trac.surfsara.nl/sali/browser/trunk/example/masterscript.new. You need to store this script as <imagename>.script to /data/sali/scripts/.

To change the disk partition you will need to change the script. Line 59-77

comment:3 Changed 5 years ago by dennis

  • Owner changed from somebody to dennis
  • Status changed from new to accepted

comment:4 Changed 5 years ago by anonymous

Hi Dennis,

Thank you for your reply.

I had already done the steps which you have mentioned and succeeded to restore cloned image on a client.

Now I am trying clone a client which have software RAID1 configuration. I have successfully saved golden client image backup in image server. In golden client RAID1 configuration is there.

*Partition info...*

*Device* *File system mount point* *size*
/dev/md0 ext4 /boot 1 GB
/dev/md1 swap none 2 GB
/dev/md2 ext4 / 200 GB

*RAID1 info...*

md0 : active raid1 sda1[0] sdb1[1]
md1 : active raid1 sdb2[1] sda2[0]
md2 : active raid1 sdb3[1] sda3[0]

Now when I am trying to clone another client node with same hardware as
golden client using *master* script its given some error messages like
bellow. I am using sali kenel and initrd.img for PXE boot.

ERROR
======
mdadm: note: this array has metadata at the start and may not be suitable
as a boot device. If you plan to store '/boot' on this device please ensure
that your boot-loader understands md/v1.x metadata, or use --metadata=0.90
mdadm: super1.x can not open /dev/sdb1: Device or resource busy
mdadm: /dev/sdb1 is not suitable for this array
mdadm: create aborted
mdadm: cannot open /dev/sda2: Device or resource busy
mdadm: cannot open /dev/sda3: Device or resource busy
Setting up swapspace version 1, size = 1998516224 bytes
UUID=4df53cb2-fe7c-43e6-98al-978e79592ald
mke2fs: Device size reported to be zero. Invalid partition specified, or
partition table wasn't reread after running fdisk, due to a modified
partition being busy and in use. You may need to reboot to re-read your
partition table.

I am totally confused here and any help is truly appreciated!



comment:5 Changed 5 years ago by dennis

Normally when a kernel is booted and it detects a mdadm config, it will create the raid volume. Have you deleted the raid configuration of the disks before partitioning again? Because it sounds like the disks are already in a raid configuration and therefore you can't reconfigure them.

Can you attach your master_script, perhaps you missed a step there.

comment:6 Changed 5 years ago by pratip.ghosh@netzrezepte.de

Hello Dennis,

Thank you for your reply.

Yes, as per the script all raid configuration will be deleted before
partitioning again.

However here I am attaching my master script for your review.

Regards,
Pratip

On Mon, Jun 15, 2015 at 2:15 PM, SALI <sali@surfsara.nl> wrote:

> #88: PXE boot landed on a # prompt .... auto install not working.
> ------------------------+------------------------
>   Reporter:  anonymous  |      Owner:  dennis
>       Type:  defect     |     Status:  accepted
>   Priority:  major      |  Milestone:  SALI 2.0.0
>  Component:  sali       |    Version:  1.6.0
> Resolution:             |   Keywords:
> ------------------------+------------------------
>
> Comment (by dennis):
>
>  Normally when a kernel is booted and it detects a mdadm config, it will
>  create the raid volume. Have you deleted the raid configuration of the
>  disks before partitioning again? Because it sounds like the disks are
>  already in a raid configuration and therefore you can't reconfigure them.
>
>  Can you attach your master_script, perhaps you missed a step there.
>
> --
> Ticket URL: <https://oss.trac.surfsara.nl/sali/ticket/88#comment:5>
> SALI <https://oss.trac.surfsara.nl/sali>
> This software is based on SystemImager: a tool to clone a running computer
> system. We developed SALI to make this cloning process more reliable and
> easier.
>

sys1_image.master

Changed 5 years ago by pratip.ghosh@netzrezepte.de

Added by email2trac

comment:7 Changed 5 years ago by dennis

Perhaps you must also reset mdadm and the disks with:

mdadm --zero-superblock $DISK0
mdadm --zero-superblock $DISK1

Or even a sync. So all changes are written.

comment:8 Changed 5 years ago by anonymous

Hello Dennis,

I have modified master script as you instructed. This time I got a different error like following..

mdadm: note: this array has metadata at the start and may not be suitable
as a boot device. If you plan to store '/boot' on this device please ensure
that your boot-loader understands md/v1.x metadata, or use --metadata=0.90
Continue creating array? mdadm: Defaulting to version 1.2 metadata
mdadm: array /dev/md0 started.
mdadm: cannot open /dev/sda2: Device or resource busy
mdadm: cannot open /dev/sda3: Device or resource busy

mkswap -L swap /dev/md1
shellout

Setting up swapspace version 1, size = 2046750720 bytes
UUID=a6d60d52-e87e-433e-b888-e3ca37d4e0c6
@ERROR: Unknown module 'sys1_image'
rsync error: error starting client-server protocol (code 5) at main.c(1516) [Receiver=3.0.9]

Regards,
Pratip

comment:9 Changed 5 years ago by anonymous

Hello Dennis,

Have you checked attached master script?

I am totally confused here and any help from you is truly appreciated!

Regards,
Pratip

comment:10 Changed 5 years ago by anonymous

Setting up swapspace version 1, size = 2046750720 bytes
UUID=a6d60d52-e87e-433e-b888-e3ca37d4e0c6
@ERROR: Unknown module 'sys1_image'
rsync error: error starting client-server protocol (code 5) at main.c(1516) [Receiver=3.0.9]

This means that your rsync daemon is not configured properly. Have you run sali rsync command to generate the rsyncd.conf configuration. Have you also checked if the rsync is using the correct configuration. You can view the location of the file in /etc/sali/sali.cfg

comment:11 Changed 5 years ago by anonymous

Also please update your existing tickets instead of opening new ones.

comment:12 Changed 5 years ago by anonymous

Hello Dennis,

As per /etc/sali/sali.cfg file the config file is /etc/rsyncd.conf.

I had already run sali rsync command and it reflects on /etc/rsyncd.conf

###########################################################################
### Do not edit this file, check the documentation of SALI ###
### 06/01/2015 02:19 ###

### Begin 00header.conf
list = yes
timeout = 600
dont compress = *.gz *.tgz *.zip *.Z *.ZIP *.bz2 *.deb *.rpm *.dbf
#auth users = root
uid = root
gid = root
use chroot = yes
log file = /var/log/sali/rsyncd

[scripts]
path = /data/sali/scripts

[torrents]
path = /data/sali/torrents
exclude = *.gz *.tgz *.zip *.Z *.ZIP *.bz2 *.deb *.rpm *.dbf *.tar
### End 00header.conf
[golden_client_image]

path=/data/sali/images/sys1_image

################################################################################

As per this file image also in the right place.

# ls -al /data/sali/images/sys1_image
total 88
drwxr-xr-x 22 root root 4096 Jun 10 06:48 .
drwxr-xr-x 7 root root 4096 Jun 11 07:37 ..
drwxr-xr-x 2 root root 4096 Jun 4 09:22 bin
drwxr-xr-x 4 root root 4096 Jun 4 09:26 boot
drwxr-xr-x 2 root root 4096 Dec 31 2005 dev
drwxr-xr-x 84 root root 4096 Dec 31 2005 etc
drwxr-xr-x 3 root root 4096 Jun 4 09:28 home
lrwxrwxrwx 1 root root 31 Jun 4 09:05 initrd.img -> /boot/initrd.img-3.16.0-4-amd64
drwxr-xr-x 14 root root 4096 Jun 4 09:08 lib
drwxr-xr-x 2 root root 4096 Jun 4 08:58 lib64
drwx------ 2 root root 4096 Jun 4 08:49 lost+found
drwxr-xr-x 2 root root 4096 Jun 4 08:49 media
drwxr-xr-x 2 root root 4096 Jun 4 08:57 mnt
drwxr-xr-x 2 root root 4096 Jun 4 08:57 opt
dr-xr-xr-x 2 root root 4096 Dec 31 2005 proc
drwx------ 2 root root 4096 Jun 4 08:57 root
drwxr-xr-x 2 root root 4096 Dec 31 2005 run
drwxr-xr-x 2 root root 4096 Jun 4 09:28 sbin
drwxr-xr-x 2 root root 4096 Jun 4 08:57 srv
dr-xr-xr-x 2 root root 4096 Dec 31 2005 sys
drwxrwxrwt 7 root root 4096 Dec 31 2005 tmp
drwxr-xr-x 10 root root 4096 Jun 4 08:57 usr
drwxr-xr-x 11 root root 4096 Jun 4 08:57 var
lrwxrwxrwx 1 root root 27 Jun 4 09:05 vmlinuz -> boot/vmlinuz-3.16.0-4-amd64

comment:13 Changed 5 years ago by anonymous

Hello Dennis,

one another query.

Is there any option to restore the missing file/folders from previously cloned image in golden client in sali? Like si_updateclient (systemimager tool).

Regards,
Pratip

comment:14 Changed 5 years ago by anonymous

Hello Dennis,

Please guide me on my issue which is related with SALI cloned image restoration with RAID.

Regards,
Pratip

comment:16 Changed 5 years ago by pratip.ghosh@netzrezepte.de

Hello

Can any one halp me to clone golden client with RAID ????

Is there any possibility to clone server with RAID using SALI ???????

Or I am doing wrong in my configuration???


HERE IS MY KIND REQUEST TO SALI SUPPORT TEAM TO REPLY ME....SAY SOMETHING
ON MY ISSUE....DO NOT SIT SILENTLY

Regards,
Pratip




On Tue, Jun 23, 2015 at 3:15 PM, SALI <sali@surfsara.nl> wrote:

> #88: PXE boot landed on a # prompt .... auto install not working.
> ------------------------+------------------------
>   Reporter:  anonymous  |      Owner:  dennis
>       Type:  defect     |     Status:  accepted
>   Priority:  major      |  Milestone:  SALI 2.0.0
>  Component:  sali       |    Version:  1.6.0
> Resolution:             |   Keywords:
> ------------------------+------------------------
>
> Comment (by anonymous):
>
>  Hello Dennis,
>
>  Please guide me on my issue which is related with SALI cloned image
>  restoration with RAID.
>
>
>  Regards,
>  Pratip
>
> --
> Ticket URL: <https://oss.trac.surfsara.nl/sali/ticket/88#comment:14>
> SALI <https://oss.trac.surfsara.nl/sali>
> This software is based on SystemImager: a tool to clone a running computer
> system. We developed SALI to make this cloning process more reliable and
> easier.
>

comment:17 Changed 5 years ago by dennis

Your rsync configuration looks weird. Have you run the command sali rsync?. This wil generate a rsync configuration with the correct path's and names.

See the sali.cfg file options maindir in section DEFAULT and option configfile in section rsync. For example our configuration generated this (same header as yours)

### Images from /data/sali/images
[amd64_base_wheezy]
   path=/data/sali/images/amd64_base_wheezy

[amd64_wheezy_portal]
   path=/data/sali/images/amd64_wheezy_portal

The name of the master script are:

  • amd64_base_wheezy.master
  • amd64_wheezy_portal.master

comment:18 Changed 5 years ago by pratip.ghosh@netzrezepte.de

Hello,

Thank you for your reply.

*#1> I found my sali.cfg file as bellow which I believe its correct.
(Please find attache sali.cfg also)*

#######################################
[DEFAULT]
maindir             : /data/sali                ; required
logdir              : /var/log/sali             ; required
logfile             : %(logdir)s/sali.log       ; required
loglevel            : 1                         ; required
pidfile             : /var/run/sali.pid         ; required
serveraddress       : 192.168.1.143             ; required
configdir           : /etc/sali

[rsync]
stubdir             : %(configdir)s/rsync_stubs/
configfile          : /etc/rsyncd.conf
stubsext            : conf
port                : 873
quiet               : False
#######################################



*#2> I had execute the command 'sali rsync' in image server just after
taking the image from client. My /etc/rsyncd.conf also configured as bellow
which I believe its correct. (Please find attache rsyncd.conf also)*
#######################################

[server_192_168_1_5_image]
   path=/data/sali/images/sys1_image

#######################################

*#3> The name of the master script is:*
sys1_image.master

*Master file path:*
/data/sali/scripts/

#######################################

*#4> As per rsyncd.conf file image also in the right place.*

 # ls -al /data/sali/images/sys1_image
 total 88
 drwxr-xr-x 22 root root 4096 Jun 10 06:48 .
 drwxr-xr-x  7 root root 4096 Jun 11 07:37 ..
 drwxr-xr-x  2 root root 4096 Jun  4 09:22 bin
 drwxr-xr-x  4 root root 4096 Jun  4 09:26 boot
 drwxr-xr-x  2 root root 4096 Dec 31  2005 dev
 drwxr-xr-x 84 root root 4096 Dec 31  2005 etc
 drwxr-xr-x  3 root root 4096 Jun  4 09:28 home
 lrwxrwxrwx  1 root root   31 Jun  4 09:05 initrd.img ->
 /boot/initrd.img-3.16.0-4-amd64
 drwxr-xr-x 14 root root 4096 Jun  4 09:08 lib
 drwxr-xr-x  2 root root 4096 Jun  4 08:58 lib64
 drwx------  2 root root 4096 Jun  4 08:49 lost+found
 drwxr-xr-x  2 root root 4096 Jun  4 08:49 media
 drwxr-xr-x  2 root root 4096 Jun  4 08:57 mnt
 drwxr-xr-x  2 root root 4096 Jun  4 08:57 opt
 dr-xr-xr-x  2 root root 4096 Dec 31  2005 proc
 drwx------  2 root root 4096 Jun  4 08:57 root
 drwxr-xr-x  2 root root 4096 Dec 31  2005 run
 drwxr-xr-x  2 root root 4096 Jun  4 09:28 sbin
 drwxr-xr-x  2 root root 4096 Jun  4 08:57 srv
 dr-xr-xr-x  2 root root 4096 Dec 31  2005 sys
 drwxrwxrwt  7 root root 4096 Dec 31  2005 tmp
 drwxr-xr-x 10 root root 4096 Jun  4 08:57 usr
 drwxr-xr-x 11 root root 4096 Jun  4 08:57 var
 lrwxrwxrwx  1 root root   27 Jun  4 09:05 vmlinuz ->
 boot/vmlinuz-3.16.0-4-amd64


Please reply me if you need any further information or log status.


Waiting for your reply...

Regards,
Pratip

On Wed, Jun 24, 2015 at 7:27 PM, SALI <sali@surfsara.nl> wrote:

> #88: PXE boot landed on a # prompt .... auto install not working.
> ------------------------+------------------------
>   Reporter:  anonymous  |      Owner:  dennis
>       Type:  defect     |     Status:  accepted
>   Priority:  major      |  Milestone:  SALI 2.0.0
>  Component:  sali       |    Version:  1.6.0
> Resolution:             |   Keywords:
> ------------------------+------------------------
>
> Comment (by dennis):
>
>  Your rsync configuration looks weird. Have you run the command `sali
>  rsync`?. This wil generate a rsync configuration with the correct path's
>  and names.
>
>  See the sali.cfg file options maindir in section DEFAULT and option
>  configfile in section rsync. For example our configuration generated this
>  (same header as yours)
>  {{{
>  ### Images from /data/sali/images
>  [amd64_base_wheezy]
>     path=/data/sali/images/amd64_base_wheezy
>
>  [amd64_wheezy_portal]
>     path=/data/sali/images/amd64_wheezy_portal
>  }}}
>
>  The name of the master script are:
>   - amd64_base_wheezy.master
>   - amd64_wheezy_portal.master
>
> --
> Ticket URL: <https://oss.trac.surfsara.nl/sali/ticket/88#comment:17>
> SALI <https://oss.trac.surfsara.nl/sali>
> This software is based on SystemImager: a tool to clone a running computer
> system. We developed SALI to make this cloning process more reliable and
> easier.
>

sali.cfg

rsyncd.conf

Changed 5 years ago by pratip.ghosh@netzrezepte.de

Added by email2trac

Changed 5 years ago by pratip.ghosh@netzrezepte.de

Added by email2trac

comment:19 Changed 5 years ago by dennis

Hi,

I see the following. Based on the rsync configuration you send me your imagename is server_192_168_1_5_image. But the ls show above a different name. Perhaps if you manually adjust the rsync configuration to match the following:

[sys1_image]
   path=/data/sali/images/sys1_image

The name of your masterscript is ok. Then you can user the following pxe configuration:

default netboot

label netboot
    kernel /sali/default/kernel
    append initrd=/sali/default/initrd.img SSHD=y PROTOCOL=rsync SCRIPTNAME=sys1_image.master VERBOSE_LEVEL=2 GRUB2=yes rw

GRUB2=y ensures that the disks are labeled as gpt not msdos.

comment:22 Changed 5 years ago by pratip.ghosh@netzrezepte.de

Hello,

Thank you for your reply.

In my previous mail by mistake I have given you the older rsyncd.conf file.
I am attaching the original one right now. Pls find attachment.


*My pxe configuration is like bellow:*

label netboot
       menu label netboot
       kernel sali/trunk/kernel
       append vga=extended initrd=sali/trunk/initrd.img ramdisk_size=32768
root=/dev/ram tmpfs_size=5000M rw SSHD=y PROTOCOL=rsync
IMAGESERVER=192.168.1.143 SCRIPTNAME=sys1_image.master IMAGENAME=sys1_image
GRUB2=yes VERBOSE_LEVEL=2




*Please also find attached sali log and rsync log with this mail.*
Regards,
Pratip


On Thu, Jun 25, 2015 at 12:54 PM, SALI <sali@surfsara.nl> wrote:

> #88: PXE boot landed on a # prompt .... auto install not working.
> ------------------------+------------------------
>   Reporter:  anonymous  |      Owner:  dennis
>       Type:  defect     |     Status:  accepted
>   Priority:  major      |  Milestone:  SALI 2.0.0
>  Component:  sali       |    Version:  1.6.0
> Resolution:             |   Keywords:
> ------------------------+------------------------
>
> Comment (by dennis):
>
>  Hi,
>
>  I see the following. Based on the rsync configuration you send me your
>  imagename is server_192_168_1_5_image. But the ls show above a different
>  name. Perhaps if you manually adjust the rsync configuration to match the
>  following:
>  {{{
>  [sys1_image]
>     path=/data/sali/images/sys1_image
>  }}}
>
>  The name of your masterscript is ok. Then you can user the following pxe
>  configuration:
>  {{{
>  default netboot
>
>  label netboot
>      kernel /sali/default/kernel
>      append initrd=/sali/default/initrd.img SSHD=y PROTOCOL=rsync
>  SCRIPTNAME=sys1_image.master VERBOSE_LEVEL=2 GRUB2=yes rw
>  }}}
>
>  GRUB2=y ensures that the disks are labeled as gpt not msdos.
>
> --
> Ticket URL: <https://oss.trac.surfsara.nl/sali/ticket/88#comment:19>
> SALI <https://oss.trac.surfsara.nl/sali>
> This software is based on SystemImager: a tool to clone a running computer
> system. We developed SALI to make this cloning process more reliable and
> easier.
>

rsyncd-1.conf

rsyncd.log

sali.log

Changed 5 years ago by pratip.ghosh@netzrezepte.de

Added by email2trac

Changed 5 years ago by pratip.ghosh@netzrezepte.de

Added by email2trac

Changed 5 years ago by pratip.ghosh@netzrezepte.de

Added by email2trac

comment:26 Changed 5 years ago by pratip.ghosh@netzrezepte.de

Hello,

Is there any update?

Regards,
Pratip

On Thu, Jun 25, 2015 at 3:18 PM, SALI <sali@surfsara.nl> wrote:

> #88: PXE boot landed on a # prompt .... auto install not working.
> ------------------------+------------------------
>   Reporter:  anonymous  |      Owner:  dennis
>       Type:  defect     |     Status:  accepted
>   Priority:  major      |  Milestone:  SALI 2.0.0
>  Component:  sali       |    Version:  1.6.0
> Resolution:             |   Keywords:
> ------------------------+------------------------
>
> Comment (by pratip.ghosh@netzrezepte.de):
>
>  {{{
>
>  Hello,
>
>  Thank you for your reply.
>
>  In my previous mail by mistake I have given you the older rsyncd.conf
>  file.
>  I am attaching the original one right now. Pls find attachment.
>
>
>  *My pxe configuration is like bellow:*
>
>  label netboot
>         menu label netboot
>         kernel sali/trunk/kernel
>         append vga=extended initrd=sali/trunk/initrd.img
ramdisk_size=32768
>  root=/dev/ram tmpfs_size=5000M rw SSHD=y PROTOCOL=rsync
>  IMAGESERVER=192.168.1.143 SCRIPTNAME=sys1_image.master
>  IMAGENAME=sys1_image
>  GRUB2=yes VERBOSE_LEVEL=2
>
>
>
>
>  *Please also find attached sali log and rsync log with this mail.*
>  Regards,
>  Pratip
>
>
>  On Thu, Jun 25, 2015 at 12:54 PM, SALI <sali@surfsara.nl> wrote:
>
>  > #88: PXE boot landed on a # prompt .... auto install not working.
>  > ------------------------+------------------------
>  >   Reporter:  anonymous  |      Owner:  dennis
>  >       Type:  defect     |     Status:  accepted
>  >   Priority:  major      |  Milestone:  SALI 2.0.0
>  >  Component:  sali       |    Version:  1.6.0
>  > Resolution:             |   Keywords:
>  > ------------------------+------------------------
>  >
>  > Comment (by dennis):
>  >
>  >  Hi,
>  >
>  >  I see the following. Based on the rsync configuration you send me your
>  >  imagename is server_192_168_1_5_image. But the ls show above a
>  different
>  >  name. Perhaps if you manually adjust the rsync configuration to match
>  the
>  >  following:
>  >  {{{
>  >  [sys1_image]
>  >     path=/data/sali/images/sys1_image
>  >  }}}
>  >
>  >  The name of your masterscript is ok. Then you can user the following
>  pxe
>  >  configuration:
>  >  {{{
>  >  default netboot
>  >
>  >  label netboot
>  >      kernel /sali/default/kernel
>  >      append initrd=/sali/default/initrd.img SSHD=y PROTOCOL=rsync
>  >  SCRIPTNAME=sys1_image.master VERBOSE_LEVEL=2 GRUB2=yes rw
>  >  }}}
>  >
>  >  GRUB2=y ensures that the disks are labeled as gpt not msdos.
>  >
>  > --
>  > Ticket URL: <https://oss.trac.surfsara.nl/sali/ticket/88#comment:19>
>  > SALI <https://oss.trac.surfsara.nl/sali>
>  > This software is based on SystemImager: a tool to clone a running
>  computer
>  > system. We developed SALI to make this cloning process more reliable
and
>  > easier.
>  >
>  }}}
>
>  [attachment:"rsyncd-1.conf"]
>
>  [attachment:"rsyncd.log"]
>
>  [attachment:"sali.log"]
>
> --
> Ticket URL: <https://oss.trac.surfsara.nl/sali/ticket/88#comment:22>
> SALI <https://oss.trac.surfsara.nl/sali>
> This software is based on SystemImager: a tool to clone a running computer
> system. We developed SALI to make this cloning process more reliable and
> easier.
>

comment:27 Changed 5 years ago by pratip.ghosh@netzrezepte.de

Hello Dennis,

Today I have done some modification to fix our issue on SALI master script.
Here I am attaching the modified script.
With this script I am able to restore cloned image on the RAID.
But after installing the system not able to boot from HDD.
Using master grub utility I found the GRUB is installed.
I also found that RAID has been configured and all the image has been
restored properly on / which is mounted on /dev/md2


Can you please help me out here? I am very much sure we are missing a small
thing is the master script.
Plase find my modified script in attachment.

Regards,
Pratip





On Mon, Jun 29, 2015 at 11:06 AM, SALI <sali@surfsara.nl> wrote:

> #88: PXE boot landed on a # prompt .... auto install not working.
> ------------------------+------------------------
>   Reporter:  anonymous  |      Owner:  dennis
>       Type:  defect     |     Status:  accepted
>   Priority:  major      |  Milestone:  SALI 2.0.0
>  Component:  sali       |    Version:  1.6.0
> Resolution:             |   Keywords:
> ------------------------+------------------------
>
> Comment (by pratip.ghosh@netzrezepte.de):
>
>  {{{
>
>  Hello,
>
>  Is there any update?
>
>  Regards,
>  Pratip
>
>  On Thu, Jun 25, 2015 at 3:18 PM, SALI <sali@surfsara.nl> wrote:
>
>  > #88: PXE boot landed on a # prompt .... auto install not working.
>  > ------------------------+------------------------
>  >   Reporter:  anonymous  |      Owner:  dennis
>  >       Type:  defect     |     Status:  accepted
>  >   Priority:  major      |  Milestone:  SALI 2.0.0
>  >  Component:  sali       |    Version:  1.6.0
>  > Resolution:             |   Keywords:
>  > ------------------------+------------------------
>  >
>  > Comment (by pratip.ghosh@netzrezepte.de):
>  >
>  >  {{{
>  >
>  >  Hello,
>  >
>  >  Thank you for your reply.
>  >
>  >  In my previous mail by mistake I have given you the older rsyncd.conf
>  >  file.
>  >  I am attaching the original one right now. Pls find attachment.
>  >
>  >
>  >  *My pxe configuration is like bellow:*
>  >
>  >  label netboot
>  >         menu label netboot
>  >         kernel sali/trunk/kernel
>  >         append vga=extended initrd=sali/trunk/initrd.img
>  ramdisk_size=32768
>  >  root=/dev/ram tmpfs_size=5000M rw SSHD=y PROTOCOL=rsync
>  >  IMAGESERVER=192.168.1.143 SCRIPTNAME=sys1_image.master
>  >  IMAGENAME=sys1_image
>  >  GRUB2=yes VERBOSE_LEVEL=2
>  >
>  >
>  >
>  >
>  >  *Please also find attached sali log and rsync log with this mail.*
>  >  Regards,
>  >  Pratip
>  >
>  >
>  >  On Thu, Jun 25, 2015 at 12:54 PM, SALI <sali@surfsara.nl> wrote:
>  >
>  >  > #88: PXE boot landed on a # prompt .... auto install not working.
>  >  > ------------------------+------------------------
>  >  >   Reporter:  anonymous  |      Owner:  dennis
>  >  >       Type:  defect     |     Status:  accepted
>  >  >   Priority:  major      |  Milestone:  SALI 2.0.0
>  >  >  Component:  sali       |    Version:  1.6.0
>  >  > Resolution:             |   Keywords:
>  >  > ------------------------+------------------------
>  >  >
>  >  > Comment (by dennis):
>  >  >
>  >  >  Hi,
>  >  >
>  >  >  I see the following. Based on the rsync configuration you send me
>  your
>  >  >  imagename is server_192_168_1_5_image. But the ls show above a
>  >  different
>  >  >  name. Perhaps if you manually adjust the rsync configuration to
>  match
>  >  the
>  >  >  following:
>  >  >  {{{
>  >  >  [sys1_image]
>  >  >     path=/data/sali/images/sys1_image
>  >  >  }}}
>  >  >
>  >  >  The name of your masterscript is ok. Then you can user the
following
>  >  pxe
>  >  >  configuration:
>  >  >  {{{
>  >  >  default netboot
>  >  >
>  >  >  label netboot
>  >  >      kernel /sali/default/kernel
>  >  >      append initrd=/sali/default/initrd.img SSHD=y PROTOCOL=rsync
>  >  >  SCRIPTNAME=sys1_image.master VERBOSE_LEVEL=2 GRUB2=yes rw
>  >  >  }}}
>  >  >
>  >  >  GRUB2=y ensures that the disks are labeled as gpt not msdos.
>  >  >
>  >  > --
>  >  > Ticket URL: <https://oss.trac.surfsara.nl/sali/ticket/88#comment:19>
>  >  > SALI <https://oss.trac.surfsara.nl/sali>
>  >  > This software is based on SystemImager: a tool to clone a running
>  >  computer
>  >  > system. We developed SALI to make this cloning process more reliable
>  and
>  >  > easier.
>  >  >
>  >  }}}
>  >
>  >  [attachment:"rsyncd-1.conf"]
>  >
>  >  [attachment:"rsyncd.log"]
>  >
>  >  [attachment:"sali.log"]
>  >
>  > --
>  > Ticket URL: <https://oss.trac.surfsara.nl/sali/ticket/88#comment:22>
>  > SALI <https://oss.trac.surfsara.nl/sali>
>  > This software is based on SystemImager: a tool to clone a running
>  computer
>  > system. We developed SALI to make this cloning process more reliable
and
>  > easier.
>  >
>  }}}
>
> --
> Ticket URL: <https://oss.trac.surfsara.nl/sali/ticket/88#comment:26>
> SALI <https://oss.trac.surfsara.nl/sali>
> This software is based on SystemImager: a tool to clone a running computer
> system. We developed SALI to make this cloning process more reliable and
> easier.
>

sys1_image-1.master

Changed 5 years ago by pratip.ghosh@netzrezepte.de

Added by email2trac

comment:28 Changed 5 years ago by dennis

Perhaps grub-install is not run after the installation. On our systems we use this post-install script:

# cat /data/sali/scripts/post-install/02all.bootloader
# Author: Bas van der Vlies
# Date  : 6 Sep 2007
# Desc. : This will setup the GRUB bootloader
#
# SVN INFO:
#	$Id: 02all.bootloader 12477 2014-05-21 09:14:43Z dennis $
#	$URL: https://subtrac.surfsara.nl/osd/beowulf/svn/trunk/systemimager/boot_scripts/post-install/02all.bootloader $

# Get the Systemimager variables
. /tmp/post-install/variables.txt

echo "setting up grub: running grub.."
#

if [ -e "/etc/default/grub" ]
then

    if [ "x$SALI_VERSION" != "x" ]
    then
        echo "sali version $SALI_VERSION has grub2_install funcion"
        exit 0
    else
        echo $SALI_VERSION
        echo "Using GRUB2 install method! :: $DISK0"

        echo "grub-install --no-floppy $DISK0"
        grub-install --no-floppy $DISK0

        echo "grub-mkconfig -o /boot/grub/grub.cfg"
        echo "This command can take while..."
        grub-mkconfig -o /boot/grub/grub.cfg

        echo "GRUB2 install done"
    fi
elif [ -e "/etc/centos-release" ]
then
    echo "Generate a new mtab file for CentOS"
    grep -v rootfs /proc/mounts > /etc/mtab

    echo "CentOS detected, just using grub-install"
    echo "grub-install --no-floppy --recheck ${DISK0}"
    grub-install --no-floppy --recheck $DISK0
else

    echo "Using Legacy GRUB install method!"
grub --batch <<EOF
root (hd0,0)
setup (hd0)
EOF
    echo "setting up grub: done."

fi

exit 0

comment:30 Changed 5 years ago by pratip.ghosh@netzrezepte.de

Hello Dennis,


Thank you for your reply.

I have have created a new *02all.bootloader* in
*/data/sali/scripts/post-**install/
*with your code. (After taking backup old one)

Restored the client once again from cloned image.

This time system totally hanged. No display on the screen and no signal in
keyboard & mouse.

Regards,
Pratip

On Mon, Jun 29, 2015 at 8:07 PM, SALI <sali@surfsara.nl> wrote:

> #88: PXE boot landed on a # prompt .... auto install not working.
> ------------------------+------------------------
>   Reporter:  anonymous  |      Owner:  dennis
>       Type:  defect     |     Status:  accepted
>   Priority:  major      |  Milestone:  SALI 2.0.0
>  Component:  sali       |    Version:  1.6.0
> Resolution:             |   Keywords:
> ------------------------+------------------------
>
> Comment (by dennis):
>
>  Perhaps grub-install is not run after the installation. On our systems we
>  use this post-install script:
>  {{{
>  # cat /data/sali/scripts/post-install/02all.bootloader
>  # Author: Bas van der Vlies
>  # Date  : 6 Sep 2007
>  # Desc. : This will setup the GRUB bootloader
>  #
>  # SVN INFO:
>  #       $Id: 02all.bootloader 12477 2014-05-21 09:14:43Z dennis $
>  #       $URL:
>
>
https://subtrac.surfsara.nl/osd/beowulf/svn/trunk/systemimager/boot_scripts
>  /post-install/02all.bootloader $
>
>  # Get the Systemimager variables
>  . /tmp/post-install/variables.txt
>
>  echo "setting up grub: running grub.."
>  #
>
>  if [ -e "/etc/default/grub" ]
>  then
>
>      if [ "x$SALI_VERSION" != "x" ]
>      then
>          echo "sali version $SALI_VERSION has grub2_install funcion"
>          exit 0
>      else
>          echo $SALI_VERSION
>          echo "Using GRUB2 install method! :: $DISK0"
>
>          echo "grub-install --no-floppy $DISK0"
>          grub-install --no-floppy $DISK0
>
>          echo "grub-mkconfig -o /boot/grub/grub.cfg"
>          echo "This command can take while..."
>          grub-mkconfig -o /boot/grub/grub.cfg
>
>          echo "GRUB2 install done"
>      fi
>  elif [ -e "/etc/centos-release" ]
>  then
>      echo "Generate a new mtab file for CentOS"
>      grep -v rootfs /proc/mounts > /etc/mtab
>
>      echo "CentOS detected, just using grub-install"
>      echo "grub-install --no-floppy --recheck ${DISK0}"
>      grub-install --no-floppy --recheck $DISK0
>  else
>
>      echo "Using Legacy GRUB install method!"
>  grub --batch <<EOF
>  root (hd0,0)
>  setup (hd0)
>  EOF
>      echo "setting up grub: done."
>
>  fi
>
>  exit 0
>  }}}
>
> --
> Ticket URL: <https://oss.trac.surfsara.nl/sali/ticket/88#comment:28>
> SALI <https://oss.trac.surfsara.nl/sali>
> This software is based on SystemImager: a tool to clone a running computer
> system. We developed SALI to make this cloning process more reliable and
> easier.
>

comment:31 Changed 5 years ago by pratip.ghosh@netzrezepte.de

Hello Dennis,

Is there any update on our issue with RAID?

Please help us to rectify the issue. We need your help on that.

Regards,
Pratip

On Tue, Jun 30, 2015 at 4:17 PM, SALI <sali@surfsara.nl> wrote:

> #88: PXE boot landed on a # prompt .... auto install not working.
> ------------------------+------------------------
>   Reporter:  anonymous  |      Owner:  dennis
>       Type:  defect     |     Status:  accepted
>   Priority:  major      |  Milestone:  SALI 2.0.0
>  Component:  sali       |    Version:  1.6.0
> Resolution:             |   Keywords:
> ------------------------+------------------------
>
> Comment (by pratip.ghosh@netzrezepte.de):
>
>  {{{
>
>  Hello Dennis,
>
>
>  Thank you for your reply.
>
>  I have have created a new *02all.bootloader* in
>  */data/sali/scripts/post-**install/
>  *with your code. (After taking backup old one)
>
>  Restored the client once again from cloned image.
>
>  This time system totally hanged. No display on the screen and no signal
in
>  keyboard & mouse.
>
>  Regards,
>  Pratip
>
>  On Mon, Jun 29, 2015 at 8:07 PM, SALI <sali@surfsara.nl> wrote:
>
>  > #88: PXE boot landed on a # prompt .... auto install not working.
>  > ------------------------+------------------------
>  >   Reporter:  anonymous  |      Owner:  dennis
>  >       Type:  defect     |     Status:  accepted
>  >   Priority:  major      |  Milestone:  SALI 2.0.0
>  >  Component:  sali       |    Version:  1.6.0
>  > Resolution:             |   Keywords:
>  > ------------------------+------------------------
>  >
>  > Comment (by dennis):
>  >
>  >  Perhaps grub-install is not run after the installation. On our systems
>  we
>  >  use this post-install script:
>  >  {{{
>  >  # cat /data/sali/scripts/post-install/02all.bootloader
>  >  # Author: Bas van der Vlies
>  >  # Date  : 6 Sep 2007
>  >  # Desc. : This will setup the GRUB bootloader
>  >  #
>  >  # SVN INFO:
>  >  #       $Id: 02all.bootloader 12477 2014-05-21 09:14:43Z dennis $
>  >  #       $URL:
>  >
>  >
>
>
https://subtrac.surfsara.nl/osd/beowulf/svn/trunk/systemimager/boot_scripts
>  >  /post-install/02all.bootloader $
>  >
>  >  # Get the Systemimager variables
>  >  . /tmp/post-install/variables.txt
>  >
>  >  echo "setting up grub: running grub.."
>  >  #
>  >
>  >  if [ -e "/etc/default/grub" ]
>  >  then
>  >
>  >      if [ "x$SALI_VERSION" != "x" ]
>  >      then
>  >          echo "sali version $SALI_VERSION has grub2_install funcion"
>  >          exit 0
>  >      else
>  >          echo $SALI_VERSION
>  >          echo "Using GRUB2 install method! :: $DISK0"
>  >
>  >          echo "grub-install --no-floppy $DISK0"
>  >          grub-install --no-floppy $DISK0
>  >
>  >          echo "grub-mkconfig -o /boot/grub/grub.cfg"
>  >          echo "This command can take while..."
>  >          grub-mkconfig -o /boot/grub/grub.cfg
>  >
>  >          echo "GRUB2 install done"
>  >      fi
>  >  elif [ -e "/etc/centos-release" ]
>  >  then
>  >      echo "Generate a new mtab file for CentOS"
>  >      grep -v rootfs /proc/mounts > /etc/mtab
>  >
>  >      echo "CentOS detected, just using grub-install"
>  >      echo "grub-install --no-floppy --recheck ${DISK0}"
>  >      grub-install --no-floppy --recheck $DISK0
>  >  else
>  >
>  >      echo "Using Legacy GRUB install method!"
>  >  grub --batch <<EOF
>  >  root (hd0,0)
>  >  setup (hd0)
>  >  EOF
>  >      echo "setting up grub: done."
>  >
>  >  fi
>  >
>  >  exit 0
>  >  }}}
>  >
>  > --
>  > Ticket URL: <https://oss.trac.surfsara.nl/sali/ticket/88#comment:28>
>  > SALI <https://oss.trac.surfsara.nl/sali>
>  > This software is based on SystemImager: a tool to clone a running
>  computer
>  > system. We developed SALI to make this cloning process more reliable
and
>  > easier.
>  >
>  }}}
>
> --
> Ticket URL: <https://oss.trac.surfsara.nl/sali/ticket/88#comment:30>
> SALI <https://oss.trac.surfsara.nl/sali>
> This software is based on SystemImager: a tool to clone a running computer
> system. We developed SALI to make this cloning process more reliable and
> easier.
>

comment:32 Changed 5 years ago by dennis

Could you try the following:

  • Start SALI in RESCUE mode
    default netboot
    
    label netboot
      kernel sali/default/kernel
      append initrd=sali/default/initrd.img MONITOR_CONSOLE=no RESCUE=yes VERBOSE_LEVEL=0 SSHD=y rw
    
  • Then mount all your file systems to for example /a
  • Also mount these filesystems:
    mount proc /a/proc -t proc -o defaults
    mount sysfs /a/sys -t sysfs -o defaults
    mount /dev /a/dev -o bind
    
  • And then chroot /a /bin/bash

And try manually to install grub (just for now as debugging purposes). We have sometimes noticed that grub-install not always works on RedHat/CentOS. We have no clue yet why.

comment:33 Changed 5 years ago by pratip.ghosh@netzrezepte.de

Hello Dannis,

Thank you for your help.

I per your instruction I have started SALI in RESCUE mode.

After that I had follow the following steps.....


 mount /dev/md2 /a -t ext4 -o rw
 mount /dev/md0 /a/boot -t ext4 -o rw
 mount proc /a/proc -t proc -o defaults
 mount sysfs /a/sys -t sysfs -o defaults
 mount /dev /a/dev -o bind
 chroot /a /bin/bash

After that I get the
Sali:~root#

After that I tried to install grub on /dev/sda and returned following
error *(Here
I need to mention my os is Debian 8 Jessie)*

Sali:~root# grub-install /dev/sda
Installing for i386-pc platform
grub-install: warning: this msdos-style partition label has no post-MBR
gap; embedding won't be possible.
grub-install:error: embedding is not possible, but this is required for
RAID and LVM install.


What i need to do now??

Regards,
Pratip

On Wed, Jul 1, 2015 at 6:30 PM, SALI <sali@surfsara.nl> wrote:

> #88: PXE boot landed on a # prompt .... auto install not working.
> ------------------------+------------------------
>   Reporter:  anonymous  |      Owner:  dennis
>       Type:  defect     |     Status:  accepted
>   Priority:  major      |  Milestone:  SALI 2.0.0
>  Component:  sali       |    Version:  1.6.0
> Resolution:             |   Keywords:
> ------------------------+------------------------
>
> Comment (by dennis):
>
>  Could you try the following:
>   - Start SALI in RESCUE mode
>  {{{
>  default netboot
>
>  label netboot
>    kernel sali/default/kernel
>    append initrd=sali/default/initrd.img MONITOR_CONSOLE=no RESCUE=yes
>  VERBOSE_LEVEL=0 SSHD=y rw
>  }}}
>   - Then mount all your file systems to for example /a
>   - Also mount these filesystems:
>  {{{
>  mount proc /a/proc -t proc -o defaults
>  mount sysfs /a/sys -t sysfs -o defaults
>  mount /dev /a/dev -o bind
>  }}}
>   - And then `chroot /a /bin/bash`
>
>  And try manually to install grub (just for now as debugging purposes). We
>  have sometimes noticed that grub-install not always works on
>  RedHat/CentOS. We have no clue yet why.
>
> --
> Ticket URL: <https://oss.trac.surfsara.nl/sali/ticket/88#comment:32>
> SALI <https://oss.trac.surfsara.nl/sali>
> This software is based on SystemImager: a tool to clone a running computer
> system. We developed SALI to make this cloning process more reliable and
> easier.
>

comment:34 Changed 5 years ago by dennis

If your are using Jessie I recommend using GPT and create a extra partition on the disk (not on the md device) with a size of 8M. This partition is needed for the newer versions of grub. Since GRUB2 this is the preferred setup.

So for example you have created this 8 MB partition, and it's the first partition then:

parted -s -- /dev/sda set 1 bios_grub on

comment:35 Changed 5 years ago by pratip.ghosh@netzrezepte.de

Hello Dennis,

Thank your for your help.

I have added a 8 MB first partition on /dev/sda with bios_grub flag.

This time the GRUB screen appeared. But after that I am getting error
mentioned in bellow.

This time /dev/md2 is missing !!!!

But when I am booting from rescue mode I can found all 3 RAID arrays md0,
md1, md2.

I can also find all the files in md2 after mounting it.


Error
====

Loading, please wait...
Gave up waiting for root device. Common problems:
 - Boot args (cat /proc/cmdline)
   - Check rootdelay= (did the system wait long enough?)
   - Check root= (did the system wait for the right device?)
 - Missing modules (cat /proc/modules; ls /dev)
ALERT!   /dev/md2 does not exist. Dropping to a shell!
modprobe: module ehci-orion not found in modules.dep


BusyBox v1.22.1 (Debian 1:1.22.0-9+deb8u1) built-in shell (ash)
Enter 'help' for a list of built-in commands.

/bin/sh: can't access tty; job control turned off
(initramfs)


Regards,
Pratip

On Wed, Jul 1, 2015 at 8:24 PM, SALI <sali@surfsara.nl> wrote:

> #88: PXE boot landed on a # prompt .... auto install not working.
> ------------------------+------------------------
>   Reporter:  anonymous  |      Owner:  dennis
>       Type:  defect     |     Status:  accepted
>   Priority:  major      |  Milestone:  SALI 2.0.0
>  Component:  sali       |    Version:  1.6.0
> Resolution:             |   Keywords:
> ------------------------+------------------------
>
> Comment (by dennis):
>
>  If your are using Jessie I recommend using GPT and create a extra
>  partition on the disk (not on the md device) with a size of 8M. This
>  partition is needed for the newer versions of grub. Since GRUB2 this is
>  the preferred setup.
>
>  So for example you have created this 8 MB partition, and it's the first
>  partition then:
>  {{{
>  parted -s -- /dev/sda set 1 bios_grub on
>  }}}
>
> --
> Ticket URL: <https://oss.trac.surfsara.nl/sali/ticket/88#comment:34>
> SALI <https://oss.trac.surfsara.nl/sali>
> This software is based on SystemImager: a tool to clone a running computer
> system. We developed SALI to make this cloning process more reliable and
> easier.
>

comment:36 Changed 5 years ago by dennis

Sorry, but the only thing I can think of now is that you are missing mdadm support in your image. Or you don't have the mdadm module in your initrd. Or you don't have the correct grub2 modules enabled. If you google for: grub2 mdadm, then you will see a solution.

comment:37 Changed 5 years ago by pratip.ghosh@netzrezepte.de

Hello Denis,

Thank you for help.

I found a solution :-)

After restoring started the server in rescue mode using Debian 8 Jessie.

I found mismatch between old md UUID and new md UUID in
/etc/mdadm/mdadm.conf

So I do the following to update the new md UUID in old initramfs.

mdadm --detail --scan >> /etc/mdadm/mdadm.conf

update-initramfs -u


After doing this system booted properly.

Here is my query is that is there any way to automate this process in
master script?
So that we do not need to update initramfs file after restoring procedure
by login rescue mode??


Regards,
Pratip

On Fri, Jul 3, 2015 at 3:17 PM, SALI <sali@surfsara.nl> wrote:

> #88: PXE boot landed on a # prompt .... auto install not working.
> ------------------------+------------------------
>   Reporter:  anonymous  |      Owner:  dennis
>       Type:  defect     |     Status:  accepted
>   Priority:  major      |  Milestone:  SALI 2.0.0
>  Component:  sali       |    Version:  1.6.0
> Resolution:             |   Keywords:
> ------------------------+------------------------
>
> Comment (by dennis):
>
>  Sorry, but the only thing I can think of now is that you are missing
mdadm
>  support in your image. Or you don't have the mdadm module in your initrd.
>  Or you don't have the correct grub2 modules enabled. If you google for:
>  grub2 mdadm, then you will see a solution.
>
> --
> Ticket URL: <https://oss.trac.surfsara.nl/sali/ticket/88#comment:36>
> SALI <https://oss.trac.surfsara.nl/sali>
> This software is based on SystemImager: a tool to clone a running computer
> system. We developed SALI to make this cloning process more reliable and
> easier.
>

comment:38 Changed 5 years ago by dennis

What you could do is create a post-install script (just like the grub post-install script).

Besides that I am currently working on SALI 1.7.0 (https://gitlab.com/surfsara/sali) in which will have better support for mdadm and lvm (and perhaps btrfs aswell). Also we are planning to use a new type of master_script which is better readable (https://gitlab.com/surfsara/sali/blob/master/client/files/master_script).

comment:39 Changed 5 years ago by anonymous

Hello Dennis,

Thank you once again for your help to resolved our issue with RAID.

Now I have a query and hope you can help me.

Is there any equivalent tool in SALI like si_updateclient in systemimager?

Regards,
Pratip

comment:40 Changed 5 years ago by dennis

  • Milestone changed from SALI 2.0.0 to SALI 1.7.0

Milestone renamed

Add Comment

Modify Ticket

Change Properties
Action
as accepted The owner will remain dennis.
as The resolution will be set. Next status will be 'closed'.
to The owner will be changed from dennis to the specified user. Next status will be 'assigned'.
The owner will be changed from dennis to anonymous. Next status will be 'accepted'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.